<script setup>
definePageMeta({
  layout: "custom",
});

// const { data: count, pending } = await useLazyFetch('/api/count')
const { data: count, pending } = useLazyAsyncData('count', () => fetch('/api/count'))
const counter = useState('counter', () => Math.round(Math.random() * 1000))

</script>

<template>
  <p>{{ counter }}</p>
    <div v-if="pending">
      Loading ...
    </div>
    <section v-else>
      <p>This page will be displayed at the /about route.</p>
      <p>Page visits: {{ count }} </p>

    </section>
</template>